signal.h File Reference
`#include <core/posix/visibility.h>`
`#include <core/signal.h>`
`#include <signal.h>`
`#include <initializer_list>`
`#include <memory>`
Include dependency graph for signal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::posix::SignalTrap
| The SignalTrap class encapsulates functionality to trap and handle signals. More...

## Namespaces

| core
| core::posix

## Enumerations

enum class

core::posix::Signal {
core::posix::unknown = 0 ,
core::posix::sig_hup = SIGHUP ,
core::posix::sig_int = SIGINT ,
core::posix::sig_quit = SIGQUIT ,
core::posix::sig_ill = SIGILL ,
core::posix::sig_abrt = SIGABRT ,
core::posix::sig_fpe = SIGFPE ,
core::posix::sig_kill = SIGKILL ,
core::posix::sig_segv = SIGSEGV ,
core::posix::sig_pipe = SIGPIPE ,
core::posix::sig_alrm = SIGALRM ,
core::posix::sig_term = SIGTERM ,
core::posix::sig_usr1 = SIGUSR1 ,
core::posix::sig_usr2 = SIGUSR2 ,
core::posix::sig_chld = SIGCHLD ,
core::posix::sig_cont = SIGCONT ,
core::posix::sig_stop = SIGSTOP ,
core::posix::sig_tstp = SIGTSTP ,
core::posix::sig_ttin = SIGTTIN ,
core::posix::sig_ttou = SIGTTOU
}

| The Signal enum collects the most common POSIX signals. More...

## Functions

CORE_POSIX_DLL_PUBLIC std::shared_ptr< SignalTrap > | core::posix::trap_signals_for_process (std::initializer_list< core::posix::Signal > blocked_signals)
| Traps the specified signals for the entire process. More...
CORE_POSIX_DLL_PUBLIC std::shared_ptr< SignalTrap > | core::posix::trap_signals_for_all_subsequent_threads (std::initializer_list< core::posix::Signal > blocked_signals)
| Traps the specified signals for the current thread, and inherits the respective signal mask to all child-threads. More...